For AI agents: The documentation index is at https://docs.digitalocean.com/llms.txt. Markdown versions of pages use the same URL with index.html.md in place of the HTML page (for example, append index.html.md to the directory path instead of opening the HTML document).
Usage
client.cdn.get_endpoint(cdn_id="19f06b6a-3ace-4315-b086-499a0e521b76")
Returns JSONRaises HttpResponseError
Description
To show information about an existing CDN endpoint, send a GET request to /v2/cdn/endpoints/{cdn_id}.
Parameters
cdn_id string required
A unique identifier for a CDN endpoint.
Min: 1
Request Sample
Show Request Sample
import os
from pydo import Client
client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))
get_resp = client.cdn.get_endpoint(cdn_id="aa34ba1")
Response Example
Show Response Example
{
"endpoint": {
"id": "19f06b6a-3ace-4315-b086-499a0e521b76",
"origin": "static-images.nyc3.digitaloceanspaces.com",
"endpoint": "static-images.nyc3.cdn.digitaloceanspaces.com",
"created_at": "2018-07-19T15:04:16Z",
"ttl": 3600
}
}
See /v2/cdn/endpoints/{cdn_id} in the API reference for additional detail on responses, headers, parameters, and more.